Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{oid}
/
management
/
accounts
aid_mgmnt_accounts_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{oid}/management/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "applicant": {
    "email": "customer@example.com",
    "agreement": {
      "name": "<string>",
      "version": "<string>",
      "personal_guarantee_accepted": true,
      "attachments": [
        {
          "name": "Cookie Policy",
          "version": "<string>"
        }
      ]
    },
    "first_name": "John",
    "last_name": "Doe",
    "phone_number": "+4799999999",
    "recaptcha_sitekey": "6LdE_pIUAAAAAHbiL0uHjHg2Mgn2IILTvZdA_Ux-",
    "recaptcha_response": "03AOLTBLSbzmXKXuAz9N--DsZ1xWmhfx6okCheBPesOsNmRSdkfcO4E5CkeBQQFJkC_emfE_KF0P8C3T57Nr9eOon_PVTEIq1NUpRS5oGkGMhr1vxVe1F7txMYUc4ClxUDLxWiW5WgnDvWHC7gOnlJZKvxVE4gn7qAJijE6SFMXkvFOwoWcx_kONmBHGnXHGgxIe2M8G-FkIKr0WZbQIDYmDaiQxb6mL1L70UGOyO280v2Pp65JB1mSohdeJLdQhHeye6v6__H9_M0GxDGd8s-LoLUY5Vq9hKbAs8MCsh2OFwtpbTYGfqmDbTwsc2v8SqOOZ86uKXwl7gyk3RHXT27m8Rv8iZAs2Ym5w",
    "promo_code": "<string>",
    "signup_reference": "<string>",
    "utm": {
      "utm_source": "google",
      "utm_medium": "cpc",
      "utm_campaign": "spring_sale",
      "utm_term": "running+shoes",
      "utm_content": "textlink"
    }
  },
  "company": {
    "business_name": "TKP tech AS",
    "address": {
      "address_line": "Sommerkroveien 34",
      "postal_place": "Oslo",
      "country": "NO",
      "address_line_2": "PB 123",
      "postal_code": "0349"
    },
    "display_name": "TKP tech instore AS",
    "organization_number": "123456789MVA",
    "industry": "computer industry",
    "website": "<string>",
    "terms_url": "<string>",
    "bank_name": "<string>",
    "account_number": "<string>",
    "email": "contact@business.dintero.com",
    "technical_email": "tech_support@business.dintero.com",
    "phone_number": "<string>",
    "branding": {
      "icon_url": "<string>",
      "logo_url": "<string>"
    },
    "merchant_category_code": "<string>",
    "average_transaction_value": "<string>",
    "most_expensive_product_price": "<string>",
    "projected_sales": "<string>",
    "terms": [
      {
        "type": "all",
        "href": "<string>"
      }
    ],
    "contacts": [
      {
        "phone_number": "<string>",
        "email": "jsmith@example.com",
        "website": "<string>",
        "type": "support"
      }
    ],
    "public_business_name": "TKP tech"
  },
  "billing": {
    "business_name": "TKP tech AS",
    "address": {
      "address_line": "Sommerkroveien 34",
      "postal_place": "Oslo",
      "country": "NO",
      "address_line_2": "PB 123",
      "postal_code": "0349"
    },
    "organization_number": "123456789MVA",
    "email": "billing@business.dintero.com",
    "reference": "<string>",
    "phone_number": "<string>",
    "billing_statement": {
      "name": "John Doe",
      "phone_number": "+4745454545"
    }
  }
}
'
{
  "applicant": {
    "email": "customer@example.com",
    "agreement": {
      "name": "<string>",
      "version": "<string>",
      "personal_guarantee_accepted": true,
      "attachments": [
        {
          "name": "Cookie Policy",
          "version": "<string>"
        }
      ],
      "accepted_at": "2023-11-07T05:31:56Z"
    },
    "first_name": "John",
    "last_name": "Doe",
    "phone_number": "+4799999999",
    "recaptcha_sitekey": "6LdE_pIUAAAAAHbiL0uHjHg2Mgn2IILTvZdA_Ux-",
    "recaptcha_response": "03AOLTBLSbzmXKXuAz9N--DsZ1xWmhfx6okCheBPesOsNmRSdkfcO4E5CkeBQQFJkC_emfE_KF0P8C3T57Nr9eOon_PVTEIq1NUpRS5oGkGMhr1vxVe1F7txMYUc4ClxUDLxWiW5WgnDvWHC7gOnlJZKvxVE4gn7qAJijE6SFMXkvFOwoWcx_kONmBHGnXHGgxIe2M8G-FkIKr0WZbQIDYmDaiQxb6mL1L70UGOyO280v2Pp65JB1mSohdeJLdQhHeye6v6__H9_M0GxDGd8s-LoLUY5Vq9hKbAs8MCsh2OFwtpbTYGfqmDbTwsc2v8SqOOZ86uKXwl7gyk3RHXT27m8Rv8iZAs2Ym5w",
    "promo_code": "<string>",
    "signup_reference": "<string>",
    "utm": {
      "utm_source": "google",
      "utm_medium": "cpc",
      "utm_campaign": "spring_sale",
      "utm_term": "running+shoes",
      "utm_content": "textlink"
    }
  },
  "company": {
    "business_name": "TKP tech AS",
    "address": {
      "address_line": "Sommerkroveien 34",
      "postal_place": "Oslo",
      "country": "NO",
      "address_line_2": "PB 123",
      "postal_code": "0349"
    },
    "display_name": "TKP tech instore AS",
    "organization_number": "123456789MVA",
    "industry": "computer industry",
    "website": "<string>",
    "terms_url": "<string>",
    "bank_name": "<string>",
    "account_number": "<string>",
    "email": "contact@business.dintero.com",
    "technical_email": "tech_support@business.dintero.com",
    "phone_number": "<string>",
    "branding": {
      "icon_url": "<string>",
      "logo_url": "<string>"
    },
    "merchant_category_code": "<string>",
    "average_transaction_value": "<string>",
    "most_expensive_product_price": "<string>",
    "projected_sales": "<string>",
    "terms": [
      {
        "type": "all",
        "href": "<string>"
      }
    ],
    "contacts": [
      {
        "phone_number": "<string>",
        "email": "jsmith@example.com",
        "website": "<string>",
        "type": "support"
      }
    ],
    "public_business_name": "TKP tech"
  },
  "billing": {
    "business_name": "TKP tech AS",
    "address": {
      "address_line": "Sommerkroveien 34",
      "postal_place": "Oslo",
      "country": "NO",
      "address_line_2": "PB 123",
      "postal_code": "0349"
    },
    "organization_number": "123456789MVA",
    "email": "billing@business.dintero.com",
    "reference": "<string>",
    "phone_number": "<string>",
    "billing_statement": {
      "name": "John Doe",
      "phone_number": "+4745454545"
    }
  },
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "jwks": {
    "name": "<string>",
    "uri": "https://cognito-idp.{region}.amazonaws.com/{userPoolId}/.well-known/jwks.json"
  },
  "payment_case_status": "ACTIVE",
  "projected_sales": "<string>",
  "average_transaction_value": "<string>",
  "merchant_category_code": "<string>",
  "delivery_timeline": "P0W",
  "most_expensive_product_price": "<string>",
  "gift_card_revenue_percentage": "<string>",
  "credit_rating": "<string>",
  "prev_credit_rating": "<string>",
  "currency": "NOK",
  "subscription": {
    "interval": "month",
    "plan": "transaction_fee",
    "support": "office_hours",
    "metadata": {}
  },
  "attachments": [
    {
      "ref": "<string>",
      "href": "<string>"
    }
  ],
  "account_id": "<string>",
  "partner_id": "<string>",
  "livemode": false,
  "active": false,
  "language_code": "<string>",
  "platform_type": "marketplace",
  "allowed_merchant_category_codes": [
    "<string>"
  ],
  "progression": "applied",
  "reseller_id": "DINTERO_ACCOUNT:99900000",
  "account_manager": {
    "email": "employee@dintero.com"
  },
  "permissions": [
    {
      "effect": "allow",
      "action": [
        "checkout:auto_capture"
      ]
    }
  ],
  "sale_channel": "DIRECT",
  "price_package": "<string>",
  "statistics": {
    "checkout_captures": [
      {
        "type": "monthly",
        "periode": "2023-09",
        "currency": "NOK",
        "volume": 3921930,
        "count": 131
      },
      {
        "type": "weekly",
        "periode": "2023-W33",
        "currency": "NOK",
        "volume": 980482,
        "count": 32
      }
    ],
    "metrics": {
      "checkout:transaction:first_capture_at": "<string>",
      "checkout:transaction:last_capture_at": "<string>"
    }
  },
  "services": {
    "checkout": {
      "features": {
        "applepay": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        },
        "billie": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        },
        "clicktopay": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        },
        "collector": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        },
        "creditcard": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        },
        "googlepay": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        },
        "instabank": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        },
        "klarna": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        },
        "mobilepay": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        },
        "santander": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        },
        "swish": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        },
        "vipps": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        },
        "kravia": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        },
        "two": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        },
        "ipp": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        }
      },
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "status": "enabled",
      "progression": "not_applied",
      "metadata": {},
      "gateways": {
        "santander": {
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
          "progression": "not_applied"
        },
        "collector": {
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
          "progression": "not_applied"
        },
        "instabank": {
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
          "progression": "not_applied"
        },
        "vipps": {
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
          "progression": "not_applied"
        },
        "swish": {
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
          "progression": "not_applied"
        },
        "bambora": {
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
          "progression": "not_applied"
        },
        "payex": {
          "creditcard": {
            "created_at": "2023-11-07T05:31:56Z",
            "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
            "progression": "not_applied"
          },
          "swish": {
            "created_at": "2023-11-07T05:31:56Z",
            "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
            "progression": "not_applied"
          }
        },
        "klarna": {
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
          "progression": "not_applied"
        },
        "dintero_psp": {
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
          "progression": "not_applied"
        },
        "kravia": {
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
          "progression": "not_applied"
        },
        "two": {
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
          "progression": "not_applied"
        },
        "seitatech": {
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
          "progression": "not_applied"
        }
      }
    },
    "payout": {
      "features": {
        "created_at": "2023-11-07T05:31:56Z",
        "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
        "updated_at": "2023-11-07T05:31:56Z",
        "updated_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
        "status": "enabled",
        "progression": "not_applied",
        "metadata": {},
        "features": {
          "split_payment": {
            "requested": "enable",
            "status": "declined",
            "created_by": "<string>",
            "created_at": "<string>",
            "updated_by": "<string>",
            "updated_at": "<string>"
          },
          "daily_payouts": {
            "requested": "enable",
            "status": "declined",
            "created_by": "<string>",
            "created_at": "<string>",
            "updated_by": "<string>",
            "updated_at": "<string>"
          }
        },
        "split_payment": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        },
        "daily_payouts": {
          "requested": "enable",
          "status": "declined",
          "created_by": "<string>",
          "created_at": "<string>",
          "updated_by": "<string>",
          "updated_at": "<string>"
        }
      },
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "status": "enabled",
      "progression": "not_applied",
      "metadata": {}
    },
    "customers": {
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "status": "enabled",
      "progression": "not_applied",
      "metadata": {}
    },
    "discounts": {
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "status": "enabled",
      "progression": "not_applied",
      "metadata": {}
    },
    "shopping": {
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "status": "enabled",
      "progression": "not_applied",
      "metadata": {}
    },
    "receipts": {
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "status": "enabled",
      "progression": "not_applied",
      "metadata": {}
    },
    "wallets": {
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "status": "enabled",
      "progression": "not_applied",
      "metadata": {}
    },
    "ledger": {
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "status": "enabled",
      "progression": "not_applied",
      "metadata": {}
    }
  },
  "connections": {
    "applepay": {
      "configuration": {
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "dintero_psp.applepay",
            "details": {
              "domain_names": [
                "example.dintero.com"
              ]
            }
          }
        ],
        "merchant_id": "<string>"
      },
      "signups": [
        {
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "payment_options": [
            {
              "currencies": [
                "NOK"
              ],
              "type": "dintero_psp.applepay",
              "details": {
                "domain_names": [
                  "example.dintero.com"
                ]
              }
            }
          ],
          "created_at": "2023-11-07T05:31:56Z",
          "domain_names": [
            "example.dintero.com"
          ]
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "events": [
        {
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "schema": 123
    },
    "bambora": {
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "events": [
        {
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "schema": 123,
      "configuration": {
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "<string>"
          }
        ],
        "merchant_number": "<string>",
        "md5_key": "<string>",
        "access_token": 123,
        "secret_token": "<string>",
        "token_scope": "<string>"
      },
      "direct_signups": [
        {
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "merchant_number": "P12345678",
          "md5_key": "ae45ase",
          "payment_options": [
            {
              "currencies": [
                "NOK"
              ],
              "type": "bambora.creditcard"
            }
          ],
          "signup_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z",
          "callback_at": "2023-11-07T05:31:56Z"
        }
      ],
      "signup": {
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "bambora.creditcard"
          }
        ],
        "revenue": {
          "currency": "NOK",
          "yearly_revenue": "100.000-250.000 NOK",
          "highest_transaction_amount": "500-1000 NOK",
          "average_amount": "250-500 NOK",
          "accept_prepaid": true,
          "subscriptions_or_memberships": true,
          "gift_cards": true
        },
        "bank_name": "<string>",
        "account_number": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "store_type": [
          "online"
        ],
        "ownership": {
          "ownership_structure": "owners_with_more_than_25",
          "owners": [
            {
              "name": "<string>",
              "legal_name": "<string>",
              "date_of_birth": "1990-09-20",
              "percentage": 25
            }
          ]
        },
        "verifications": {
          "terms_and_conditions": true,
          "terms_and_conditions_url": "<string>",
          "contact_information": true,
          "payment_site": true,
          "clear_pricing": true,
          "payment_product_logos": true
        },
        "signature": {
          "signatures": [
            {
              "name": "<string>",
              "email": "<string>"
            }
          ],
          "politically_exposed_person": true,
          "politically_exposed_associated": true
        },
        "applicant": {
          "phone_number": "+4799999999"
        },
        "callback_at": "2023-11-07T05:31:56Z"
      },
      "submerchant_signups": [
        {
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "payment_options": [
            {
              "currencies": [
                "NOK"
              ],
              "type": "bambora.creditcard"
            }
          ],
          "created_at": "2023-11-07T05:31:56Z",
          "merchant_number": "P12345678",
          "md5_key": "ae45ase",
          "mcc": 5814,
          "callback_at": "2023-11-07T05:31:56Z"
        }
      ]
    },
    "collector": {
      "signup": {
        "legal_name": "<string>",
        "organization_number": "123456789MVA",
        "bank_name": "<string>",
        "account_number": "<string>",
        "website": "<string>",
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "collector.invoice"
          }
        ],
        "created_at": "2023-11-07T05:31:56Z",
        "url": "<string>",
        "business_name": "<string>",
        "callback_at": "2023-11-07T05:31:56Z"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "events": [
        {
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "schema": 123,
      "configuration": {
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "collector.invoice"
          }
        ],
        "username": "<string>",
        "store_id": 123,
        "country": "<string>"
      }
    },
    "common": {
      "signup": {
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "dintero.zero"
          }
        ],
        "store_type": [
          "online"
        ],
        "created_at": "2023-11-07T05:31:56Z",
        "package": "Checkout 195 NOK/month + 1.5%",
        "revenue": {
          "currency": "NOK",
          "yearly_revenue": "100.000-250.000 NOK",
          "highest_transaction_amount": "500-1000 NOK",
          "average_amount": "250-500 NOK",
          "accept_prepaid": true,
          "subscriptions_or_memberships": true,
          "gift_cards": true,
          "estimated_percentage_per_payment_type": [
            {
              "percentage": 50,
              "type": "swish.swish"
            }
          ]
        },
        "bank_accounts": [
          {
            "account_number": "<string>",
            "account_number_type": "iban",
            "bank_name": "<string>",
            "account_statement_url": "https://example.dintero.com/c/photos/account_statement.pdf"
          }
        ],
        "ownership": {
          "ownership_structure": "owners_with_more_than_25",
          "owners": [
            {
              "name": "<string>",
              "legal_name": "<string>",
              "date_of_birth": "1990-09-20",
              "social_security_number": "<string>",
              "percentage": 25,
              "address": {
                "address_line": "Sommerkroveien 34",
                "postal_place": "Oslo",
                "country": "NO",
                "address_line_2": "PB 123",
                "postal_code": "0349"
              }
            }
          ]
        },
        "verifications": {
          "terms_and_conditions": true,
          "terms_and_conditions_url": "<string>",
          "contact_information": true,
          "payment_site": true,
          "payment_site_url": "<string>",
          "demo_site_url": "<string>",
          "clear_pricing": true,
          "payment_product_logos": true
        },
        "signature": {
          "signatures": [
            {
              "name": "<string>",
              "email": "<string>"
            }
          ],
          "politically_exposed_person": true,
          "politically_exposed_associated": true
        },
        "applicant": {
          "first_name": "John",
          "last_name": "Doe",
          "email": "customer@example.com",
          "phone_number": "+4799999999",
          "social_security_number": "<string>"
        },
        "company_information": {
          "industry": "goods",
          "company_category": "4722",
          "mcc": {
            "mcc": "<string>",
            "range": {
              "start": "<string>",
              "end": "<string>",
              "description": "<string>",
              "reserved": true
            },
            "iso_description": "<string>",
            "usda_description": "<string>",
            "stripe_description": "<string>",
            "stripe_code": "<string>",
            "visa_description": "<string>",
            "visa_req_clearing_name": "<string>"
          },
          "company_description": "<string>"
        },
        "payment_method_specific": {
          "payex": {
            "signup_url": "<string>"
          },
          "instabank": {
            "total_number_of_transactions": "<string>",
            "total_volume_of_transactions": "<string>",
            "finance_number_of_transactions": "<string>",
            "finance_volume_of_transactions": "<string>"
          },
          "vipps": {
            "signup_url": "<string>"
          }
        }
      },
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "events": [
        {
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "schema": 123
    },
    "dintero_psp": {
      "signups": [
        {
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "payment_options": [
            {
              "currencies": [
                "NOK"
              ],
              "type": "dintero_psp.creditcard"
            }
          ],
          "created_at": "2023-11-07T05:31:56Z"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "events": [
        {
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "schema": 123,
      "configuration": {
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "<string>"
          }
        ],
        "visa_net_client_id": "<string>",
        "acquirer_merchant_id": "<string>",
        "vipps_merchant_serial_number": "123456",
        "visa_token_client_app_id": "<string>",
        "visa_token_relationship_id": "10000000-20000000000",
        "mastercard_token_src_dpa_id": "src_dpa_56068",
        "mastercard_token_service_id": "SECURE_COF_MERCHANT_OBO#TESTPROJECT_PROD-PGMNAME#01",
        "google_pay_merchant_gateway_id": "dintero-test"
      }
    },
    "instabank": {
      "signup": {
        "email": "customer@example.com",
        "phone_number": "+4799999999",
        "total_number_of_transactions": "<string>",
        "total_volume_of_transactions": "<string>",
        "finance_number_of_transactions": "<string>",
        "finance_volume_of_transactions": "<string>",
        "industry": "computer industry",
        "account_number": "12345678911",
        "payment_options": [
          {
            "type": "instabank.invoice"
          }
        ],
        "created_at": "2023-11-07T05:31:56Z",
        "callback_at": "2023-11-07T05:31:56Z"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "events": [
        {
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "schema": 123,
      "configuration": {
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "instabank.invoice"
          }
        ],
        "payment_product_codes": {
          "instabank.finance": "630",
          "instabank.invoice": "632"
        },
        "organization_number": "<string>"
      }
    },
    "klarna": {
      "signups": [
        {
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "payment_options": [
            {
              "currencies": [
                "NOK"
              ],
              "type": "klarna.klarna"
            }
          ],
          "created_at": "2023-11-07T05:31:56Z",
          "price_package": "EU_DINTERO_PP001",
          "mcc": 5814,
          "callback_at": "2023-11-07T05:31:56Z"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "events": [
        {
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "schema": 123,
      "configuration": {
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "klarna.klarna"
          }
        ],
        "credentials": [
          {
            "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "merchant_id": "<string>",
            "username": "<string>"
          }
        ]
      }
    },
    "kravia": {
      "signups": [
        {
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "payment_options": [
            {
              "currencies": [
                "NOK"
              ],
              "type": "kravia.invoice_b2b"
            }
          ],
          "created_at": "2023-11-07T05:31:56Z",
          "settlement_type": "direct"
        }
      ],
      "configuration": {
        "credentials": [
          {
            "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "merchant_id": "<string>",
            "settlement_type": "direct"
          }
        ],
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "kravia.invoice_b2b"
          }
        ],
        "supported_invoice_channels": [
          "kravia"
        ]
      },
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "events": [
        {
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "schema": 123
    },
    "mastercard_3ds": {
      "signups": [
        {
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ],
      "configuration": {
        "status": "enabled"
      },
      "events": [
        {
          "created_at": "2023-11-07T05:31:56Z",
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "schema": 123
    },
    "mastercard_tokenization": {
      "signups": [
        {
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ],
      "configuration": {
        "token_src_dpa_id": "<string>",
        "token_service_id": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "events": [
        {
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "schema": 123
    },
    "payex": {
      "signup": {
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "payex.creditcard"
          }
        ],
        "created_at": "2023-11-07T05:31:56Z",
        "url": "<string>",
        "business_name": "<string>",
        "legal_name": "<string>",
        "organization_number": "123456789MVA",
        "applicant_contact": {
          "name": "John Doe",
          "phone_number": "+4799999999",
          "email": "customer@example.com"
        },
        "accounting_contact": {
          "name": "John Doe",
          "phone_number": "+4799999999",
          "email": "customer@example.com"
        },
        "bank_name": "<string>",
        "account_number": "<string>",
        "website": "<string>",
        "callback_at": "2023-11-07T05:31:56Z"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "events": [
        {
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "schema": 123,
      "configuration": {
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "payex.creditcard"
          }
        ],
        "payee_id": "<string>",
        "subsite": "<string>"
      },
      "creditcard": {
        "signup": {
          "payment_options": [
            {
              "currencies": [
                "NOK"
              ],
              "type": "payex.creditcard"
            }
          ],
          "created_at": "2023-11-07T05:31:56Z",
          "url": "<string>",
          "business_name": "<string>",
          "legal_name": "<string>",
          "organization_number": "123456789MVA",
          "applicant_contact": {
            "name": "John Doe",
            "phone_number": "+4799999999",
            "email": "customer@example.com"
          },
          "accounting_contact": {
            "name": "John Doe",
            "phone_number": "+4799999999",
            "email": "customer@example.com"
          },
          "bank_name": "<string>",
          "account_number": "<string>",
          "website": "<string>",
          "callback_at": "2023-11-07T05:31:56Z"
        },
        "created_at": "2023-11-07T05:31:56Z",
        "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
        "updated_at": "2023-11-07T05:31:56Z",
        "metadata": {},
        "status": "pending",
        "events": [
          {
            "status": "pending",
            "event": "signature_required",
            "id": "<string>",
            "created_at": "2023-11-07T05:31:56Z",
            "created_by": "<string>",
            "description": "Vipps awaiting signature",
            "metadata": {
              "signature_link": "https://sig.example.com/K34K244"
            }
          }
        ],
        "schema": 123,
        "configuration": {
          "payment_options": [
            {
              "currencies": [
                "NOK"
              ],
              "type": "payex.creditcard"
            }
          ],
          "payee_id": "<string>",
          "subsite": "<string>"
        }
      }
    },
    "swish": {
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "events": [
        {
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "schema": 123,
      "configuration": {
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "swish.swish"
          }
        ],
        "swish_number": "1231182293"
      },
      "signups": [
        {
          "type": "direct",
          "created_at": "<string>",
          "callback_at": "<string>",
          "data": {
            "business_name": "<string>",
            "legal_name": "<string>",
            "organization_number": "<string>",
            "bank_name": "<string>",
            "account_number": "<string>",
            "website": "<string>",
            "case_id": "<string>",
            "swish_number": "<string>",
            "payment_options": [
              {
                "currencies": [
                  "<string>"
                ],
                "type": "swish.swish"
              }
            ]
          }
        }
      ],
      "signup": {
        "legal_name": "<string>",
        "organization_number": "123456789MVA",
        "website": "<string>",
        "payment_options": [
          {
            "currencies": [
              "SEK"
            ],
            "type": "swish.swish"
          }
        ],
        "created_at": "2023-11-07T05:31:56Z",
        "business_name": "<string>",
        "bank_name": "<string>",
        "account_number": "<string>",
        "callback_at": "2023-11-07T05:31:56Z"
      }
    },
    "two": {
      "signups": [
        {
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "payment_options": [
            {
              "currencies": [
                "NOK"
              ],
              "type": "two.invoice_b2b"
            }
          ],
          "created_at": "2023-11-07T05:31:56Z"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "events": [
        {
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "schema": 123,
      "configuration": {
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "two.invoice_b2b"
          }
        ],
        "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    },
    "vipps": {
      "signup": {
        "created_at": "2023-11-07T05:31:56Z",
        "id": "81b83246-5c19-7b94-875b-ea6d1114f099",
        "url": "<string>",
        "callback_at": "2023-11-07T05:31:56Z",
        "expires_at": "2023-11-07T05:31:56Z"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "events": [
        {
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "schema": 123,
      "configuration": {
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "vipps"
          }
        ],
        "merchant_name": "Vipps",
        "created_time": "00:00:00",
        "merchant_serial_number": "123456",
        "client_id": "51358942-08c8-4d50-99f4-a9aa970b5f5b",
        "subscription_keys": [
          {
            "product": "Access",
            "ocp_apim_subscription_key": "de897dbb-0cd3-4445-b003-ac8214ac4638"
          }
        ]
      }
    },
    "vipps_psp": {
      "signups": [
        {
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "payment_options": [
            {
              "currencies": [
                "NOK"
              ],
              "type": "dintero_psp.vipps"
            }
          ],
          "logo": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "events": [
        {
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "schema": 123,
      "configuration": {
        "payment_options": [
          {
            "currencies": [
              "NOK"
            ],
            "type": "dintero_psp.vipps"
          }
        ],
        "merchant_serial_number": "123456"
      }
    },
    "visa_tokenization": {
      "signups": [
        {
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ],
      "configuration": {
        "client_app_id": "<string>",
        "relationship_id": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "status": "pending",
      "events": [
        {
          "status": "pending",
          "event": "signature_required",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "<string>",
          "description": "Vipps awaiting signature",
          "metadata": {
            "signature_link": "https://sig.example.com/K34K244"
          }
        }
      ],
      "schema": 123
    }
  },
  "approvals_payments_statuses": {
    "ACTIVE": 123,
    "DECLINED": 123,
    "UNDER_MANUAL_REVIEW": 123,
    "AUTOMATIC_REVIEW": 123,
    "WAITING_FOR_SIGNATURE": 123,
    "WAITING_FOR_DECLARATION": 123,
    "WAITING_FOR_DETAILS": 123,
    "ERROR": 123,
    "ARCHIVED": 123,
    "TERMINATED": 123
  },
  "approvals_payout_destinations_statuses": {
    "ACTIVE": 123,
    "DECLINED": 123,
    "UNDER_MANUAL_REVIEW": 123,
    "AUTOMATIC_REVIEW": 123,
    "WAITING_FOR_SIGNATURE": 123,
    "WAITING_FOR_DECLARATION": 123,
    "WAITING_FOR_DETAILS": 123,
    "ERROR": 123,
    "ARCHIVED": 123,
    "TERMINATED": 123
  },
  "configuration": {
    "default_price_package": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

oid
string<^[PT]{1}(?=(?:.{3}|.{8})$)[0-9]*$>
required

An id that uniquely identifies the account or owner (partner)

Body

application/json

Account properties that are private and managed by the root partner.

applicant
object
required

The individual completing the account registration

company
object
required

The details of an account company

billing
object
required

The details of the billing for the account

partner_id
string<^[PT]{1}(?=(?:.{3})$)[0-9]*$>

The id of the partner to associate with the account

invites
string<email>[]

Users to invite to the account by email

Example:
["user@example.com"]
invite_users
object[]

Users to invite to the account with name and email

invitation_note
string

A note to include in the invitation email

Example:

"Welcome to the account"

actions
enum<string>[]

The actions to perform on the account

  • 'send_invite' - send an invite to the applicant
Available options:
send_invite
Example:
["send_invite"]
custom_price_package
object

Custom price package to apply to the account

payment_case_status
enum<string>
Available options:
ACTIVE,
DECLINED,
UNDER_MANUAL_REVIEW,
AUTOMATIC_REVIEW,
WAITING_FOR_SIGNATURE,
WAITING_FOR_DECLARATION,
ERROR,
ARCHIVED,
WAITING_FOR_DETAILS,
TERMINATED
subscription
object

Subscription plan for the account

attachments
object[]
livemode
boolean
default:false

Flag indicating whether the account exists in live mode and test mode.

language_code
string

The preferred language for the account as defined by BCP 47 (IETF BCP 47, "Tags for Identifying Languages").

allowed_merchant_category_codes
string[]

Restricts the MCC codes available for selection during merchant onboarding.

Pattern: ^\d{4}$
progression
enum<string>

Status assigned to the account by the account partner

value is not visible for the merchant.

Available options:
applied,
live,
frozen,
deactivated
reseller_id
string

Reseller id assigned by the account partner

value is not visible for the merchant

Example:

"DINTERO_ACCOUNT:99900000"

account_manager
object

Account manager responsible for the account.

value is not visible for the merchant

permissions
object[]

List the permission granted the account

sale_channel
enum<string>
Available options:
DIRECT,
INBOUND,
PARTNER,
REFERRAL
price_package
string
statistics
object

Statistics for the account

services
object

Response

Account

Account properties that are private and managed by the root partner.

applicant
object
required

The individual completing the account registration

company
object
required

The details of an account company

billing
object
required

The details of the billing for the account

id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
jwks
object
read-only

Alternative JWKS configured for validating access token issued by external authentication.

payment_case_status
enum<string>
Available options:
ACTIVE,
DECLINED,
UNDER_MANUAL_REVIEW,
AUTOMATIC_REVIEW,
WAITING_FOR_SIGNATURE,
WAITING_FOR_DECLARATION,
ERROR,
ARCHIVED,
WAITING_FOR_DETAILS,
TERMINATED
projected_sales
string
read-only

Projected sales declared by merchant.

average_transaction_value
string
read-only
merchant_category_code
string<mcc>
read-only

Merchant category code declared by merchant.

delivery_timeline
enum<string>
read-only
Available options:
P0W,
P1D,
P2D,
P5D,
P2W,
P4W,
P12W,
P1Y
most_expensive_product_price
string
read-only

Price of most expensive product declared by merchant.

gift_card_revenue_percentage
string
read-only

Percentage of revenue coming from gift card transactions declared by merchant.

credit_rating
string
read-only

The most recent credit rating of the merchant.

prev_credit_rating
string
read-only

The previous credit rating of the merchant.

currency
enum<string>
read-only

The currency of the various values declared by the merchant, such as most_expensive_product_price, average_transaction_value, and so on.

Available options:
NOK,
SEK,
DKK,
EUR
subscription
object

Subscription plan for the account

attachments
object[]
account_id
string
read-only

The id that uniquely identifies the account.

partner_id
string<^[PT]{1}(?=(?:.{3})$)[0-9]*$>
read-only

The id of the partner associated with the account

livemode
boolean
default:false

Flag indicating whether the account exists in live mode and test mode.

active
boolean
default:false
read-only

The account is active

language_code
string

The preferred language for the account as defined by BCP 47 (IETF BCP 47, "Tags for Identifying Languages").

platform_type
enum<string>
read-only

Optional type of platform for merchants using split payout.

Available options:
marketplace,
aggregator
allowed_merchant_category_codes
string[]

Restricts the MCC codes available for selection during merchant onboarding.

Pattern: ^\d{4}$
progression
enum<string>

Status assigned to the account by the account partner

value is not visible for the merchant.

Available options:
applied,
live,
frozen,
deactivated
reseller_id
string

Reseller id assigned by the account partner

value is not visible for the merchant

Example:

"DINTERO_ACCOUNT:99900000"

account_manager
object

Account manager responsible for the account.

value is not visible for the merchant

permissions
object[]

List the permission granted the account

sale_channel
enum<string>
Available options:
DIRECT,
INBOUND,
PARTNER,
REFERRAL
price_package
string
statistics
object

Statistics for the account

services
object

Status on services enabled on the merchant account

connections
object
read-only

Connections to external services registered on the merchant account

approvals_payments_statuses
object

Count of statuses of payments approvals

approvals_payout_destinations_statuses
object

Count of statuses of payout destinations approvals (aka seller approvals)

configuration
object

Configuration options for the account.

Last modified on May 12, 2026